Jump to content

Application Support [AMD]

application support amd Mountain Lion Lion Snow Leopard

  • Please log in to reply
55 replies to this topic

#1
Duran Keeley

Duran Keeley

    InsanelyMac Sage

  • Local Moderators
  • 485 posts
  • Gender:Male

As the topic title says, here we can all try give support to crashing Applications on AMD.

 

We will try and help out as much as I can on both Lion (10.7) & Mountain Lion (10.8) and even Mavericks (10.9) when it comes out.

 

Before posting please run "uname -a" (without quotes) in terminal.

And sometimes a detailed list of your Hardware from System Profiler can help, as I found out with an Application.

 

Example:

Spoiler


#2
fantomas1

fantomas1

    InsanelyMacaholic

  • Supervisors
  • 3,249 posts
  • Gender:Male

hi  :)

 

I don't know if this kind of topic can help someone

 

what I mean, we are not Apple's Support Engineers   :D

 

maybe I'm wrong, but what I understood until now, the kernel is the main culprit

 

it's still currently under development, many things can change

 

the only thing to do is keep an eye on its development and be patient   ^_^



#3
Duran Keeley

Duran Keeley

    InsanelyMac Sage

  • Local Moderators
  • 485 posts
  • Gender:Male
I know we not Apple Support Engineers, but there are some things that we can do.
 
Example: Adobe After Effects CC & CS6 crash when the system profiler picks up that my GPU is 6xxx, but when I define a personalities for ATI Radeon and it picks up as the full name of HD6570, it starts and runs perfectly.

We also figured out how to run the Adobe Suite with workarounds to certain Applications (in my other topic)

Also with the above example from Mad Marcsen, Logic Pro X (10.0.0) worked perfectly on my system yet 10.0.1 crashed on Mad Marcsen's. Maybe it's something like I had with After Effects, difference in Hardware.

In the end if we can figure out what crashes certain apps, wouldn't it make better kernels in the end?

#4
lpukraine

lpukraine

    InsanelyMac Geek

  • Members
  • PipPipPipPip
  • 199 posts
  • Gender:Male
  • Location:Ukraine, Lviv

Hello. I need help with Viber on 10.7.5. Crash when application starts

My configuration:

OS - Mac OS X Lion 10.7.5
CPU - DualCore AMD Athlon 64 X2 4200+, 2200 MHz
MB - Asus M2N-E (nVIDIA nForce 570 SLI, AMD Hammer)
RAM - 2 x 512M DDR2 667 MHz + 2 x 1024Mb DDR2 800 MHz
VIDEO - nVidia GeForce 7600GT 256Mb 
HDD - 1Tb Hitachi HDS721010CLA + 320Gb WDC WD32 00AAKS-00SBA
ODD - HL-DT-ST DVDRAM GH22LS50
SOUND - Analog Devices AD1988B
LAN - Gigabit Ethernet Realtek RTL8111C
WiFi - Airport Extreme Atheros AR5BXB112

 

My crach logs:

Spoiler

Help! Want to use Viber on Mac OS X



#5
Duran Keeley

Duran Keeley

    InsanelyMac Sage

  • Local Moderators
  • 485 posts
  • Gender:Male

Hello. I need help with Viber on 10.7.5. Crash when application starts

My configuration:

OS - Mac OS X Lion 10.7.5
CPU - DualCore AMD Athlon 64 X2 4200+, 2200 MHz
MB - Asus M2N-E (nVIDIA nForce 570 SLI, AMD Hammer)
RAM - 2 x 512M DDR2 667 MHz + 2 x 1024Mb DDR2 800 MHz
VIDEO - nVidia GeForce 7600GT 256Mb 
HDD - 1Tb Hitachi HDS721010CLA + 320Gb WDC WD32 00AAKS-00SBA
ODD - HL-DT-ST DVDRAM GH22LS50
SOUND - Analog Devices AD1988B
LAN - Gigabit Ethernet Realtek RTL8111C
WiFi - Airport Extreme Atheros AR5BXB112

 

My crach logs:

Spoiler

Help! Want to use Viber on Mac OS X

 

Ok first up, this crash is because of the lack of ssse3 emulation inside 10.7 Kernel (yep this is a kernel problem, kinda)

 

Incompatible processor. This Qt build requires the following features:

    ssse3

 

You can confirm no ssse3 but typing "$ sysctl -a | grep machdep.cpu.features" into terminal.

 

Test it for yourself, type "/Applications/Viber.app/Contents/MacOS/Viber ;exit" into terminal



#6
lpukraine

lpukraine

    InsanelyMac Geek

  • Members
  • PipPipPipPip
  • 199 posts
  • Gender:Male
  • Location:Ukraine, Lviv

Ok first up, this crash is because of the lack of ssse3 emulation inside 10.7 Kernel (yep this is a kernel problem, kinda)

 

Incompatible processor. This Qt build requires the following features:

    ssse3

 

You can confirm no ssse3 but typing "$ sysctl -a | grep machdep.cpu.features" into terminal.

 

Test it for yourself, type "/Applications/Viber.app/Contents/MacOS/Viber ;exit" into terminal

so it's mean that I can't start this app

iMac-Andrey:~ andrey$ sysctl -a | grep machdep.cpu.features
machdep.cpu.features: FPU VME DE PSE TSC MSR PAE MCE CX8 APIC SEP MTRR PGE MCA CMOV PAT PSE36 CLFSH MMX FXSR SSE SSE2 HTT SSE3 CX16
iMac-Andrey:~ andrey$ /Applications/Viber.app/Contents/MacOS/Viber ;exit
Incompatible processor. This Qt build requires the following features:
    ssse3
Abort trap: 6
logout 


#7
theconnactic

theconnactic

    Stubborn AMD user

  • Local Moderators
  • 3,001 posts
  • Gender:Male

You need a kernel with built-in opcode emulator. If you are using latest Bronya's, try booting with the flag -nossse3bit and test the app again.

 

All the best!

 

P.S.: Duran, congrats for the topic.



#8
Duran Keeley

Duran Keeley

    InsanelyMac Sage

  • Local Moderators
  • 485 posts
  • Gender:Male

You need a kernel with built-in opcode emulator. If you are using latest Bronya's, try booting with the flag -nossse3bit and test the app again.
 
All the best!
 
P.S.: Duran, congrats for the topic.


Hi theconnactic, thank you, want to help somehow so here I am.

Strange even with ssse3 in ML (sysctl -a | grep machdep.cpu.features shows SSSE3) the app still crashes asking for ssse3. Same problem like we had with Photoshop, except the libqcocoa.dylib that is being called is required by the program so we can't just disable it. Tried amd_insn_patcher even, no luck.

#9
lpukraine

lpukraine

    InsanelyMac Geek

  • Members
  • PipPipPipPip
  • 199 posts
  • Gender:Male
  • Location:Ukraine, Lviv

You need a kernel with built-in opcode emulator. If you are using latest Bronya's, try booting with the flag -nossse3bit and test the app again.

 

All the best!

 

P.S.: Duran, congrats for the topic.

same crash with the flag -nossse3bit



#10
gils83

gils83

    "y a pas de bug"

  • Members
  • PipPipPipPipPipPipPipPipPipPip
  • 2,455 posts
  • Gender:Male
  • Location:France
  • Interests:le soleil du var et l'informatique

:)

 

j'ai essayé de comprendre les problèmes QuickTime vidéo sur CPU AMD K10 , il s'avère que le codec H264 (x264) rencontre des problèmes de chromatique en HD , VLC règle ce problème , pourquoi ? je ne sais pas ?

 

je me suis servi de handbrake pour changer de codec de x 264 à MPEG-4 pour régler le problème   ;)

 

 

I tried to understand the QuickTime video problems on AMD K10 CPU, it turns out that the H264 codec (x264) has problems of color in HD VLC solves this problem, why? I do not know?

 

I used handbrake to change codec x 264 MPEG-4 to solve the problem   ;)

 

 

721946Capturedcran20130906222851.png

 

 

 

http://fr.wikipedia.org/wiki/H.264

 

QuickTime 

 

953943Capturedcran20130906230759.png

 

 

VLC

 

752282Capturedcran20130906231137.png

 

 

212693Capturedcran20130906231201.png

 

 

Debug and warning VLC

 

http://paste.ubuntu.com/6072140/


Edited by gils83, 06 September 2013 - 09:24 PM.


#11
Mad Marcsen

Mad Marcsen

    InsanelyMac Protégé

  • Members
  • PipPip
  • 69 posts
same problem here as mentioned above with KeyFinder (http://www.ibrahimsh...o.uk/keyfinder/):
 
fnord@fnords-mac-pro ~/Downloads/KeyFinder-OSX/KeyFinder.app/Contents/Ma ./KeyFinder 
Incompatible processor. This Qt build requires the following features:
    ssse3
The strange thing is that the app worked before i did a reinstall because of an hdd-crash. tried with latest anv and bronya-kernel, no luck.
 
The good thing is that Logic Pro finally works. Seems that the kxdriver for my emu0404 caused the problems...


#12
Andy Vandijck

Andy Vandijck

    InsanelyMac Deity

  • Coders
  • 1,837 posts
  • Gender:Male
  • Location:Tienen
  • Interests:Programming stuff for Mac OS X...
    Hacking...
    Hard rock (also really big Metallica...

 

same problem here as mentioned above with KeyFinder (http://www.ibrahimsh...o.uk/keyfinder/):
 
fnord@fnords-mac-pro ~/Downloads/KeyFinder-OSX/KeyFinder.app/Contents/Ma ./KeyFinder 
Incompatible processor. This Qt build requires the following features:
    ssse3
The strange thing is that the app worked before i did a reinstall because of an hdd-crash. tried with latest anv and bronya-kernel, no luck.
 
The good thing is that Logic Pro finally works. Seems that the kxdriver for my emu0404 caused the problems...

 

QtCore.framework (in the .app bundle) checks directly wether the CPU supports SSSE3 through a cpuid.

This needs to be patched and it will work.



#13
Mad Marcsen

Mad Marcsen

    InsanelyMac Protégé

  • Members
  • PipPip
  • 69 posts

QtCore.framework (in the .app bundle) checks directly wether the CPU supports SSSE3 through a cpuid.

This needs to be patched and it will work.

 

Hey AnV,

 

thank you for your reply :D is that something one can do with some utility (your apbdecrypt for example) or by hand with some bin-patching?



#14
Andy Vandijck

Andy Vandijck

    InsanelyMac Deity

  • Coders
  • 1,837 posts
  • Gender:Male
  • Location:Tienen
  • Interests:Programming stuff for Mac OS X...
    Hacking...
    Hard rock (also really big Metallica...

Hey AnV,

thank you for your reply :D is that something one can do with some utility (your apbdecrypt for example) or by hand with some bin-patching?

By hand.
The check needs to be patched out.

#15
Duran Keeley

Duran Keeley

    InsanelyMac Sage

  • Local Moderators
  • 485 posts
  • Gender:Male

It seems to be a version 5 thing as well... Just tried Tomahawk Player (googled things with QtCore in them) it has version 4.8.0 and it opened up fine...



#16
Chris Etheridge

Chris Etheridge

    InsanelyMac Protégé

  • Members
  • PipPip
  • 88 posts
  • Gender:Male
  • Location:South Africa
  • Interests:Web development
    Web design
    Good music

I keep trying to load up xCode (10.7.5), and it keeps crashing, exact same error each time. Could anyone help please?

Spoiler



#17
Chris Etheridge

Chris Etheridge

    InsanelyMac Protégé

  • Members
  • PipPip
  • 88 posts
  • Gender:Male
  • Location:South Africa
  • Interests:Web development
    Web design
    Good music

Ex-South African? What do you mean? :)

I am using Bronzvoka's 10.7.5 kernel, with boot flags: -v USBLegacyOff=yes npci=0x2000 

:)



#18
Duran Keeley

Duran Keeley

    InsanelyMac Sage

  • Local Moderators
  • 485 posts
  • Gender:Male

Ex-South African? What do you mean? :)

I am using Bronzvoka's 10.7.5 kernel, with boot flags: -v USBLegacyOff=yes npci=0x2000 

:)

I recently moved from South Africa, anyway besides the point...

 

If it is the kernel from the Wiki [Patched Kernels] then that is an older kernel....

 

Try the kernel rc15 - found here [NOTE: if you installed using iATKOS_L2 you might run into the PCI Begin Configuration error]



#19
Chris Etheridge

Chris Etheridge

    InsanelyMac Protégé

  • Members
  • PipPip
  • 88 posts
  • Gender:Male
  • Location:South Africa
  • Interests:Web development
    Web design
    Good music

Ah I see :) Its beautiful here this time of year (summer)

Going to give that kernel a go! I would move over to Mountain Lion, but I get artifacts :/



#20
Chris Etheridge

Chris Etheridge

    InsanelyMac Protégé

  • Members
  • PipPip
  • 88 posts
  • Gender:Male
  • Location:South Africa
  • Interests:Web development
    Web design
    Good music

Duran, just tried the other kernel, works perfectly! Thanks a lot :D







Also tagged with one or more of these keywords: application, support, amd, Mountain Lion, Lion, Snow Leopard


1 user(s) are reading this topic

1 members, 0 guests, 0 anonymous users


© 2015 InsanelyMac  |   News  |   Forum  |   Downloads  |   OSx86 Wiki  |   Mac Netbook  |   PHP hosting by CatN  |   Designed by Ed Gain  |   Logo by irfan  |   Privacy Policy